----------------------------------------------------
-- Do not edit this file by hand.  Edit 
-- 'templates/DefaultHeaders.hs'
-- and run ./fillTemplates.pl Text/Pandoc/Writers/DefaultHeaders.hs
----------------------------------------------------

{-
Copyright (C) 2006-7 John MacFarlane <jgm@berkeley.edu>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}

{- |
   Module      : Text.Pandoc.Writers.DefaultHeaders
   Copyright   : Copyright (C) 2006-7 John MacFarlane
   License     : GNU GPL, version 2 or above 

   Maintainer  : John MacFarlane <jgm@berkeley.edu>
   Stability   : alpha
   Portability : portable

Default headers for Pandoc writers.
-}
module Text.Pandoc.Writers.DefaultHeaders  (
                                      defaultLaTeXHeader,
                                      defaultConTeXtHeader,
                                      defaultDocbookHeader,
                                      defaultS5Header,
                                      defaultRTFHeader
                                      ) where
import Text.Pandoc.Writers.S5

defaultLaTeXHeader :: String
defaultLaTeXHeader = "\\documentclass{article}\n\\usepackage[mathletters]{ucs}\n\\usepackage[utf8x]{inputenc}\n\\setlength{\\parindent}{0pt}\n\\setlength{\\parskip}{6pt plus 2pt minus 1pt}\n"

defaultConTeXtHeader :: String
defaultConTeXtHeader = "\\enableregime[utf]  % use UTF-8\n\n\\setupcolors[state=start]\n\\setupinteraction[state=start, color=middlered] % needed for hyperlinks\n\n\\setuppapersize[letter][letter]  % use letter paper\n\\setuplayout[width=middle, backspace=1.5in, cutspace=1.5in,\n             height=middle, header=0.75in, footer=0.75in] % page layout\n\\setuppagenumbering[location={footer,center}]  % number pages\n\\setupbodyfont[11pt]  % 11pt font\n\\setupwhitespace[medium]  % inter-paragraph spacing\n\n\\setuphead[section][style=\\tfc]\n\\setuphead[subsection][style=\\tfb]\n\\setuphead[subsubsection][style=\\bf]\n\n% define title block commands\n\\unprotect\n\\def\\doctitle#1{\\gdef\\@title{#1}}\n\\def\\author#1{\\gdef\\@author{#1}}\n\\def\\date#1{\\gdef\\@date{#1}}\n\\date{\\currentdate}  % Default to today unless specified otherwise.\n\\def\\maketitle{%\n  \\startalignment[center]\n    \\blank[2*big]\n      {\\tfd \\@title}\n    \\blank[3*medium]\n      {\\tfa \\@author}\n    \\blank[2*medium]\n      {\\tfa \\@date}\n    \\blank[3*medium]\n  \\stopalignment}\n\\protect\n\n% define descr (for definition lists)\n\\definedescription[descr][\n  headstyle=bold,style=normal,align=left,location=hanging,\n  width=broad,margin=1cm]\n\n% define ltxitem (for bulleted lists)  \n\\defineitemgroup[ltxitem][levels=4]\n\\setupitemgroup[ltxitem][1][1]\n\\setupitemgroup[ltxitem][2][2]\n\\setupitemgroup[ltxitem][3][3]\n\\setupitemgroup[ltxitem][4][4,packed]\n\n% define ltxenum (for enumerated lists)\n\\defineitemgroup[ltxenum][levels=4]\n\\setupitemgroup[ltxenum][1][n]\n\\setupitemgroup[ltxenum][2][a]\n\\setupitemgroup[ltxenum][3][r]\n\\setupitemgroup[ltxenum][4][A,packed]\n\n\\setupthinrules[width=15em]  % width of horizontal rules\n\n% for block quotations\n\\definestartstop [blockquote]\n                 [before={\\startnarrower\\switchtobodyfont[11pt]\n                          \\whitespace\\setupindenting[no]},\n                  after={\\stopnarrower\\whitespace}]\n\n"

defaultDocbookHeader :: String
defaultDocbookHeader = "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n<!DOCTYPE article PUBLIC \"-//OASIS//DTD DocBook XML V4.4//EN\"\n                  \"http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd\">\n"

defaultS5Header :: String
defaultS5Header = s5Meta ++ s5CSS ++ s5Javascript

defaultRTFHeader :: String
defaultRTFHeader = "{\\rtf1\\ansi\\deff0{\\fonttbl{\\f0 \\fswiss Helvetica;}{\\f1 Courier;}}\n{\\colortbl;\\red255\\green0\\blue0;\\red0\\green0\\blue255;}\n\\widowctrl\\hyphauto\n\n"

